Face Extraction API (cloned)
Introduction
A permanent account number is a ten-character alphanumeric identifier, issued in the form of a laminated "PAN card", by the Indian Income Tax Department, to any "person" who applies for it or to whom the department allots the number without an application.
How to call the API
Before going for Auto reading or Verification calls, you first need to create an Identity object. For best results, please make sure that the image you use fits tightly in camera view and is horizontally aligned. Each image/pdf should be less than 2MB and an expired image should not be uploaded.
API Input Guidelines
- The Image should be of good quality
- The Image should be less than 2MB in size
- This API accepts only image, pdf, or URLs of image(png/jpg/jpeg/tiff)
Step 1: Hit Identities API
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron ID>/identities' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "individualPan",
"email": "<email Id>",
"callbackUrl": "https://www.w3schools.com",
"images": [<images Url>]
}'Identity Response Parameters
Parameter Name | Data Type | Description |
|---|---|---|
accessToken | String | This is provided by identities API |
autoRecognition | String | Auto recognises face from aadhaar image |
verification | String | Verification |
frogeryCheck | String | Forgery check of the image |
id | String | Contains the Identity object id |
patronId | String | Unique ID of the user |
Step 2: Hit Snoops API and receives a response
curl --location --request POST 'https://signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
"service": "Identity",
"itemId": "<Item Id>",
"accessToken": "<Access Token>",
"task": "faceExtraction",
"essentials": {
"url": "<Image URL>"
}
}'Response Parameters
Parameter Name | Description |
|---|---|
service | Type of Signzy service - “identity extraction” |
itemId | Contains the identity item id |
task | The type of task performed - “face extraction” |
essentials | Contains the essential output data |
accessToken | Contains the access token that was received from identity request |
Id | Contains the unique Id of the snoop request |
response.url | URL of PAN image to be cropped |
response.ttl | ttl is Time to live Time to live (TTL) is the time that an object is stored in a caching system before it's deleted or refreshed. |
response.id | ID od the resonse |
response.result.cropped | URL of Cropped image from PAN |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].